Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class AVTPartXPath

    java.lang.Object
      |
      +--org.apache.xalan.templates.AVTPart
            |
            +--org.apache.xalan.templates.AVTPartXPath

public class AVTPartXPath
extends AVTPart

**For internal use only** Simple string part of a complex AVT.

See Also:
  Serialized Form

Constructor Summary
`AVTPartXPath(java.lang.String val, PrefixResolver nsNode, XPathParser xpathProcessor, XPathFactory factory, XPathContext liaison)` **For internal use only** Construct a simple AVT part.
`AVTPartXPath(XPath xpath)` **For internal use only** Construct a simple AVT part.

Method Summary
`void` | `evaluate(XPathContext xctxt, FastStringBuffer buf, Node context, PrefixResolver nsNode)` **For internal use only** Write the value into the buffer.
`java.lang.String` | `getSimpleString()` **For internal use only** Get the AVT part as the original string.

Methods inherited from class org.apache.xalan.templates.AVTPart
`setXPathSupport`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPartXPath

    public AVTPartXPath(XPath xpath)

  **For internal use only** Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

### AVTPartXPath

    public AVTPartXPath(java.lang.String val,
                        PrefixResolver nsNode,
                        XPathParser xpathProcessor,
                        XPathFactory factory,
                        XPathContext liaison)
                 throws SAXException

  **For internal use only** Construct a simple AVT part.
  Parameters:
    `val` - A pure string section of an AVT.

Method Detail

### getSimpleString

    public java.lang.String getSimpleString()

  **For internal use only** Get the AVT part as the original string.
  Overrides:
    getSimpleString in class AVTPart

### evaluate

    public void evaluate(XPathContext xctxt,
                         FastStringBuffer buf,
                         Node context,
                         PrefixResolver nsNode)
                  throws SAXException

  **For internal use only** Write the value into the buffer.
  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.
  Overrides:
    evaluate in class AVTPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.